[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDialogCommonButton

Identifier used for common buttons visible on a Task dialog.

## Declaration

Source position: dialogs.pp line 617

`type TTaskDialogCommonButton = (`
`tcbOk,` |  | The Ok button.
`tcbYes,` |  | The Yes button.
`tcbNo,` |  | The No button.
`tcbCancel,` |  | The Cancel button.
`tcbRetry,` |  | The Retry button.
`tcbClose` |  | The Close button.
`);`

## Description

Values from TTaskDialogCommonButton are stored in the TTaskDialogCommonButtons set type, as used in the TCustomTaskDialog.CommonButtons property. When a value is included in the set, the corresponding button is visible on the task dialog.

## See also

TTaskDialogCommonButtons |  | Set type used to store values from TTaskDialogCommonButton.
TCustomTaskDialog.CommonButtons |  | Set of common buttons displayed on the Task dialog.